Take the 2-minute tour ×
LEGO® Answers is a question and answer site for LEGO® and building block enthusiasts. It's 100% free, no registration required.

I have installed the retail version of the NXT software. Due to pitiful performance on my Mac (OSX 10.7 Lion) I followed guidance on other forums and uninstalled Flash 11 and reinstalled 10.

Now when I start the application, I get the following error:

enter image description here

I have read on one site that a patch is necessary, but the linked patches are for the EDU version of the software as opposed to the retail version (I guess?) so they won't even install properly.

Any suggestions are most welcome. I see that there are other alternatives out there to program the NXT, but frankly for the cost of this product, this software should just work. (Lego, I hope you're listening.)

share|improve this question
1  
I'm in the same boat. 10.7.5, retail, file broken 1003, tried the patch, even uninstalled everything, reinstalled from ISO, and tried the driver and tried the patch. Nada. I was really hoping the answer wouldn't be NXC. I'll certainly try that, but I guess I'll call tech support Monday. Ideally I'd like to use NXT-G like everyone else. This is lame. –  Jesse Dec 15 '12 at 23:25
    
Jesse - I'm in the same boat as well. See my comment under "There are a number of Mac patches". I had hoped to be able to use NXT-G on this Mac... this is really irritating. WHY doesn't it even give the FILENAME of the "required file"?!?!? –  pbr Jan 6 '13 at 4:57
    
Yep. Same boat. Lego software has always been spotty, so I guess I'm not surprised. Kid is bummed, though. –  DA. Mar 18 '13 at 22:14
    
Note: LEGO does not sponsorize, endorse or probably not even read this site, so saying things like "LEGO, I hope you're listening." is pointless. If you want LEGO to listen, you best bet is always to speak to them directly, via their customer service. –  Joubarc Mar 22 '13 at 8:55
    
I'm in the boat too, my mindstorms has been like this since early june. Tried tons of sites, never worked. Re-downloaded it 4 times, and tried different downloads 7 times. –  user3075 Nov 8 '13 at 2:34

3 Answers 3

up vote 5 down vote accepted

Here we go. I was browsing around looking for answers when I stumbled upon this thread: https://discussions.apple.com/thread/4158314?start=0&tstart=0

One person mentioned Lego tech support sent him a link to an ISO. It looked like maybe it was a newer ISO than the one I was using, so I tried it: http://dl.dropbox.com/u/31950731/MINDSTORMS%20NXT%20Retail%20MacWin%202012-06-21-1305.iso

It worked great! No patches, no nothing. Just installed that, restarted, and suddenly I have NXT-G working on Mac OS X Lion 10.7.5. Word.

share|improve this answer
    
Although I would point out that dropboxes can disappear at will, so this link may not be around forever - and as this isn't coming from an official source (mentioning in a chat room that it came from LEGO tech support is not the same as getting it directly from them) - so please ensure you have up to date Anti-Virus software in place before downloading and installing any file from the internet. –  Zhaph - Ben Duguid Dec 17 '12 at 10:31
    
This seems promising, but yea, LEGO linking to their own software via dropbox seems a little suspect. –  DA. Mar 18 '13 at 22:15

Having recently ran into this issues as well on OSX (10.6) here's the solution that worked for me:

  • Uninstalled Flash completely
  • Re-install the NXT software from the CD
  • launch and run

Apparently, only the version of Flash that was used when they developed the software is the one that will work with it. It gets installed with the software if it's not already installed.

That does mean you maybe want to create a separate user account just for running NXT so only that has the older version of Flash.

share|improve this answer

There are a number of Mac Patches available from official Mindstorms support site:

Mindstorms Support > Files > Patches

They include:

  • Software 2.0 Fix (Mac)
  • Snow Leopard Fix
  • MAC Leopard Fix

The interface isn't all that obvious: Mindstorms Software Support

First, click on the file you wish to download from the carousel, then click on the big "Downloads" button, you should then find a link to the appropriate downloads:

enter image description here

share|improve this answer
1  
Thanks for this. I've applied these patches, and that's when the errors actually started. I think I've found the way forward here, the NXC environment: nxc.ruby4kids.com/nxc-language-reference. My son is still a little young for even the graphical IDE, so the raw programming environment is perfect for us. –  jn29098 Aug 5 '12 at 2:46
    
I just installed the latest NXT-G2.0 on Lion - 10.7.5 - and it was REALLY borked - wouldn't resize right, threw random errors, generally almost worked but not quite. I would resize the outer window, and the program area would get smaller! Then I installed the "Software 2.0 fix (mac)"... and now I see "Error: a required file is broken" - it's even more broken. –  pbr Jan 6 '13 at 4:51

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.